#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define subrel 1

Name:           kio-gdrive
Version: 1.2.6
Release:        %mkrel %{rel}
Summary:        KIO Slave to access Google Drive
License:        GPLv2
Group:          Graphical desktop/KDE
URL:            https://phabricator.kde.org/project/profile/72/
Source0:        http://download.kde.org/stable/kio-gdrive/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KPimGAPI) >= 5.5.0
BuildRequires:  cmake(KAccounts) >= 17.04.0

BuildRequires:  intltool

# (mga#25441)
Requires:       kaccounts-integration

Recommends:     %{name}-handbook

%description
KIO Slave to access Google Drive service.

%files -f kio5_gdrive.lang
%doc README.md HACKING
%license COPYING
%{_kf5_plugindir}/kio/gdrive.so
%{_qt5_plugindir}/kaccounts/daemonplugins/gdrive.so
%{_kf5_datadir}/remoteview/gdrive-network.desktop
%{_kf5_datadir}/accounts/services/kde/google-drive.service
%{_kf5_appdatadir}/org.kde.kio-gdrive.appdata.xml
%{_kf5_knotificationsdir}/gdrive.notifyrc

#--------------------------------------------------------------------

%package        handbook
Summary:        Kio-gdrive Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides Kio-gdrive handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kioslave5/gdrive/

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang kio5_gdrive


%changelog
* Sun Oct 06 2019 daviddavid <daviddavid> 1.2.6-1.1.mga7
+ Revision: 1449939
- add missing dependency on kaccounts-integration (mga#25441)
- Qt5Keychain is no more needed (replace by KAccounts)

* Mon May 20 2019 daviddavid <daviddavid> 1.2.6-1.mga7
+ Revision: 1398623
- new version: 1.2.6

* Sat Mar 30 2019 umeabot <umeabot> 1.2.5-2.mga7
+ Revision: 1382510
- Qt5 Rebuild

* Mon Oct 22 2018 daviddavid <daviddavid> 1.2.5-1.mga7
+ Revision: 1323514
- new version: 1.2.5

* Sun Sep 23 2018 umeabot <umeabot> 1.2.4-2.mga7
+ Revision: 1298557
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 daviddavid <daviddavid> 1.2.4-1.mga7
+ Revision: 1241066
- new version: 1.2.4

* Mon Apr 23 2018 daviddavid <daviddavid> 1.2.3-1.mga7
+ Revision: 1221366
- new version: 1.2.3

* Sat Mar 31 2018 daviddavid <daviddavid> 1.2.2-1.mga7
+ Revision: 1213751
- new version: 1.2.2

* Sat Jan 13 2018 daviddavid <daviddavid> 1.2.1-2.mga7
+ Revision: 1192511
- add missing BR on cmake(KF5Notifications)
- add missing BR on cmake(KF5DocTools)

* Wed Oct 04 2017 daviddavid <daviddavid> 1.2.1-1.mga7
+ Revision: 1168126
- new version: 1.2.1

* Fri Jul 28 2017 daviddavid <daviddavid> 1.2.0.1-1.mga7
+ Revision: 1131612
- new version: 1.2.0.1

* Thu Feb 16 2017 daviddavid <daviddavid> 1.1.1-1.mga6
+ Revision: 1086465
- new version: 1.1.1

* Fri Jan 27 2017 daviddavid <daviddavid> 1.1.0-1.mga6
+ Revision: 1083588
- new version: 1.1.0
- add subpackage kio-gdrive-handbook

* Fri Jan 13 2017 daviddavid <daviddavid> 1.0.5-1.mga6
+ Revision: 1081492
- new version: 1.0.5

* Sat Nov 12 2016 daviddavid <daviddavid> 1.0.4-1.mga6
+ Revision: 1066633
- new version: 1.0.4

* Sat Oct 15 2016 daviddavid <daviddavid> 1.0.3-1.mga6
+ Revision: 1060840
- new version: 1.0.3

* Fri Oct 07 2016 daviddavid <daviddavid> 1.0.2-1.mga6
+ Revision: 1059314
- new version: 1.0.2 Final

* Sat Sep 24 2016 daviddavid <daviddavid> 0.9.90-1.mga6
+ Revision: 1055673
- new version: 0.9.90

* Fri Sep 09 2016 daviddavid <daviddavid> 0.9.81-1.mga6
+ Revision: 1050997
- initial package kio-gdrive

